--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Adds a Proc to model map. Proc must return a Hash of attributes.
- !ruby/struct:SM::Flow::P 
  body: "@param klass [Class, DataMapper::Resource] @param name [Symbol] @param instance [DataMapper::Resource]"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
- !ruby/struct:SM::Flow::P 
  body: "@returns [Array] model map"
full_name: DataMapper::Sweatshop::add
is_singleton: true
name: add
params: (klass, name, &proc)
visibility: public
